# Welcome to pytest-mpi’s documentation!

pytest-mpi provides a number of things to assist with using pytest with MPI-using code, specifically:

> - Displaying of the current MPI configuration (e.g. the MPI version, the number of processes)

> - Sharing temporary files/folders across the MPI processes

> - Markers which allow for skipping or xfailing tests based on whether the tests are being run under MPI

Further features will be added in the future, and contribution of features is very much welcomed.

Contents:

- Usage
- Markers
  - `pytest.mark.mpi()`
  - `pytest.mark.mpi_skip()`
  - `pytest.mark.mpi_xfail()`
- Fixtures
  - `mpi_file_name()`
  - `mpi_tmp_path()`
  - `mpi_tmpdir()`
- Changelog
  - 0.6
  - 0.5
  - 0.4
  - 0.3
  - 0.2
  - 0.1.1
  - 0.1
- Contributing to pytest-mpi
  - Reporting Bugs
  - Patches and Pull Requests
  - Running the tests
  - Making a release

# Indices and tables

- Index

- Module Index

- Search Page